Subject: [Enum] ENUM WG Request for Publication - draft-ietf-enum-iax-04.txt

From: "Richard Shockey" <[email-masked]>
Date: Fri, 5 Sep 2008 14:41:06 -0400

This is a request for publication on one ENUM WG document.

Title                 : IANA Registration for IAX Enumservice
	Author(s)       : E. Guy
	Filename        : draft-ietf-enum-iax-04.txt
	Pages           : 9
	Date            : 2008-06-17

This document registers the IAX Enumservice using the URI scheme 'iax:' as
per the IANA registration process defined in the ENUM specification RFC3761.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-enum-iax-04.txt

A two week WG last call on this document concluded on July 7, 2008.

The document listed above is being considered for Proposed Standard.

This document has been extensively discussed during 2006 through 2008.

Richard Shockey
Director, Member of the Technical Staff
NeuStar
46000 Center Oak Plaza - Sterling, VA 20166
sip:rshockey(at)iptel.org 
sip:5651(at)neustarlab.biz
PSTN Office +1 571.434.5651 
PSTN Mobile: +1 703.593.2683
<mailto:richard(at)shockey.us> 
<mailto:richard.shockey(at)neustar.biz>

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

_______________________________________________
enum mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/enum

---

From: Peter Koch <[email-masked]>
Date: Sun, 7 Sep 2008 22:23:57 +0200

> The document listed above is being considered for Proposed Standard.

so, for the process addicts amongst us - what is the solution to the
downref problem?
There is a normative reference to <draft-guy-iax-04.txt> and rightfully so.
This drafts sits in the RFC Editor queue for publication as Informational.
RFC 3967, section 2, first bullet item, could be read as a way out of this,
but I doubt it could be appropriately invoked: the only reason that
draft-ietf-enum-iax-04.txt is aiming at Standards Track is that that has been
the only way to get an enum service registered since RRFC 3761.
Now, the IANA registration document update for ENUM services is in WGLC
now and hopefully can be shipped to the IESG soon.  This eliminates the
need for draft-ietf-enum-iax-04.txt going to proposed.  Instead, I've had
hoped - apologies if you heard this a couple of times already - we could
have processed draft-ietf-enum-iax-04.txt under the upcoming ENUM services
guidelines with an exception granted from the IESG as it was done with
RFC2929bis.

What's the plan?

-Peter

---

From: Cullen Jennings <[email-masked]>
Date: Wed, 17 Sep 2008 12:16:07 -0600

My suggestion of the easiest way to solve this would be to IETF Last  
Call draft-ietf-enum-iax calling out a 3967 downref to draft-guy-iax-04.

---

From: <[email-masked]>
Date: Thu, 18 Sep 2008 10:46:59 +0200

Hi Cullen

Peter has suggested to test-run the new Enumservice registration process.
The document defining this process (draft-ietf-enum-enumservices-guide-12)
is currently in WG LC.

Is the IESG interested in such a test-run of the new Enum Registration process
as it has been done with 2929bis? The IAX Enumservice registration
(draft-ietf-enum-iax-04) is a perfect sample for this.

cheers,
 Bernie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Cullen Jennings
Sent: Wednesday, September 17, 2008 8:16 PM
To: Peter Koch
Cc: [email-masked]; 'Peterson, Jon'
Subject: Re: [Enum] ENUM WG Request for Publication - draft-ietf-enum-iax-04.txt

My suggestion of the easiest way to solve this would be to IETF Last Call draft-ietf-enum-iax calling out a 3967 downref to draft-guy-iax-04.

On Sep 7, 2008, at 2:23 PM, Peter Koch wrote:

> RFC 3967, section 2, first bullet item, could be read as a way out of
> this, but I doubt it could be appropriately invoked: the only reason
> that draft-ietf-enum-iax-04.txt is aiming at Standards Track is that
> that has been the only way to get an enum service registered since
> RRFC 3761.
> Now, the IANA registration document update for ENUM services is in
> WGLC now and hopefully can be shipped to the IESG soon.  This
> eliminates the need for draft-ietf-enum-iax-04.txt going to proposed.
> Instead, I've had hoped - apologies if you heard this a couple of
> times already - we could have processed draft-ietf-enum-iax-04.txt
> under the upcoming ENUM services guidelines with an exception granted
> from the IESG as it was done with RFC2929bis.
>
> What's the plan?
>
> -Peter

---

From: Cullen Jennings <[email-masked]>
Date: Thu, 18 Sep 2008 09:23:54 -0600

That would be up to Jon but I'd be sort of surprised to see the IESG  
user the process in 2929bis that before 2929bis was approved (not an  
RFC but past the IESG approval step). However if 2929bis is in WGLC  
now, that might be relatively soon so perhaps one should just wait and  
then do enum-iax.

On Sep 18, 2008, at 2:46 AM, <[email-masked]> <[email-masked] 
 > wrote: